tbb::internal::tls< T > Class Template Reference

More advanced TLS support template class. More...

`#include <tls.h>`

Inheritance diagram for tbb::internal::tls< T >:
Collaboration diagram for tbb::internal::tls< T >:

## Public Member Functions

| tls ()
| ~tls ()
T | operator= (T value)
| operator T ()
Public Member Functions inherited from tbb::internal::basic_tls< T >
int | create ()
int | destroy ()
void | set (T value)
T | get ()

## Private Types

typedef basic_tls< T > | base

## Detailed Description

### template<typename T>
class tbb::internal::tls< T >

More advanced TLS support template class.

It supports RAII and to some extent mimic __declspec(thread) variables.

Definition at line 78 of file tls.h.

## Member Typedef Documentation

## base

template<typename T >

typedef basic_tls<T> tbb::internal::tls< T >::base

private

Definition at line 79 of file tls.h.

## Constructor & Destructor Documentation

## tls()

template<typename T >

tbb::internal::tls< T >::tls | ( |  | ) |

inline

Definition at line 81 of file tls.h.

{ base::create(); }
tbb::internal::basic_tls::create
int create()
Definition: tls.h:48

References tbb::internal::basic_tls< T >::create().

Here is the call graph for this function:

## ~tls()

template<typename T >

tbb::internal::tls< T >::~tls | ( |  | ) |

inline

Definition at line 82 of file tls.h.

{ base::destroy(); }
tbb::internal::basic_tls::destroy
int destroy()
Definition: tls.h:55

References tbb::internal::basic_tls< T >::destroy().

Here is the call graph for this function:

## Member Function Documentation

## operator T()

template<typename T >

tbb::internal::tls< T >::operator T | ( |  | ) |

inline

Definition at line 84 of file tls.h.

{ return base::get(); }
tbb::internal::basic_tls::get
T get()
Definition: tls.h:57

References tbb::internal::basic_tls< T >::get().

Here is the call graph for this function:

## operator=()

template<typename T >

T tbb::internal::tls< T >::operator= | ( | T | value | ) |

inline

Definition at line 83 of file tls.h.

{ base::set(value); return value; }
value
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long value
Definition: ittnotify_static.h:192
tbb::internal::basic_tls::set
void set(T value)
Definition: tls.h:56

References tbb::internal::basic_tls< T >::set(), and value.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- tls.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.